Bug 236186 - [PATCH] net-mgmt/nagios-plugins: Add options for bind912, etc.
Summary: [PATCH] net-mgmt/nagios-plugins: Add options for bind912, etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-03 20:59 UTC by Craig Leres
Modified: 2019-03-21 20:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mat)


Attachments
patch (2.33 KB, patch)
2019-03-03 21:00 UTC, Craig Leres
leres: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2019-03-03 20:59:28 UTC
I just switched to bind912 and noticed that poudriere still builds bind911 in addition to bind912. This is because I have the DNS_BIND911 option set in net-mgmt/nagios-plugins. The patch adds DNS_BIND912, DNS_BIND913, and DNS_BIND914 options. This resulted in a lot of duplicate --with-dig-command and --with-nslookup-command CONFIGURE_ARGS so replaced them with a .for look that adds the appropriate --with-*-command configure args.

I also moved CONFLICTS_INSTALL after USES to make portlint happier.
Comment 1 Craig Leres freebsd_committer 2019-03-03 21:00:23 UTC
Created attachment 202527 [details]
patch
Comment 2 Craig Leres freebsd_committer 2019-03-03 23:52:28 UTC
It occurs to me that another way to solve this would be to create a dns/bind master port (similar to www/py-django) and use it to pick the version of bind. Ports that want to use some ports version of bind (e.g. net-mgmt/nagios-plugins) could depend on dns/bind.

Let me know if you'd like to see a patch that does this.
Comment 3 Mathieu Arnold freebsd_committer 2019-03-12 15:43:11 UTC
Well, as www/py-django must not be depended upon (a bit like lang/python or lang/gcc), having a dns/bind9 port would not help a bit in this case.
Comment 4 Mathieu Arnold freebsd_committer 2019-03-12 15:59:16 UTC
Thanks.
Also, I ignored your patch as it would have used dig from ports even if the user had chosen to use base systems tools. (say if any bind port is already installed.)
Comment 5 commit-hook freebsd_committer 2019-03-12 16:12:16 UTC
A commit references this bug:

Author: mat
Date: Tue Mar 12 16:11:15 UTC 2019
New revision: 495467
URL: https://svnweb.freebsd.org/changeset/ports/495467

Log:
  Add BIND9 9.12 and 9.14 as possible depends.

  PR:		236186
  Reported by:	leres

Changes:
  head/net-mgmt/monitoring-plugins/Makefile
  head/net-mgmt/nagios-plugins/Makefile
Comment 6 Craig Leres freebsd_committer 2019-03-21 20:10:58 UTC
(In reply to Mathieu Arnold from comment #4)
I meant to comment on this earlier; your fix (using BIND_VERS) is much slicker, thanks!